//
//  AppleScriptFormatter.h
//  runtime test
//
//  Created by Takaaki Naganoya2 on 2025/01/06.
//

#import <Foundation/Foundation.h>

@interface AppleScriptFormatter : NSObject

/// 指定されたNSObjectをAppleScript形式の文字列に変換します。
/// @param object 任意のNSObject (NSDictionary, NSArray, NSString, NSNumber, NSNullなど)。
/// @return AppleScript形式の文字列。
+ (NSString *)stringFromObject:(id)object;

@end
